<!doctype html>
    <html <?php language_attributes(); ?>>
        <head>
            <meta charset="<?php bloginfo( 'charset' ); ?>">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <link rel="profile" href="https://gmpg.org/xfn/11">
            <?php wp_head(); ?>
        </head>
        <body <?php body_class(); ?>>
            <?php wp_body_open(); ?>
            <div class="popcorn-wrapper">
                <header id="_popcorn-header" class="popcorn-header">
                    <div class="popcorn-header-top">
                    <?php $description = get_bloginfo( 'description', 'display' );
                    if( get_custom_logo() ) {
                    the_custom_logo();
                    } else { ?>
                        <p class="popcorn-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                    <?php } if ( ( isset($description) && $description) || is_customize_preview() ) { ?>
                        <?php $popcornsitedesc = get_theme_mod( 'popcorn_hide_site_description', '0');
                        if ($popcornsitedesc != '1') { ?>
                        <p class="popcorn-site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
                        <?php } ?>
                    <?php } ?>
                    </div>
                    <div class="popcorn-header-bottom popcorn-site-width">
                        <nav class="popcorn-dt-nav-container">
                            <?php wp_nav_menu( array( 'theme_location' => 'main-menu', 'container_class' => 'popcorn-dt-nav' ) ); ?>
                        </nav>
                        <div class="popcorn-mob-nav-container">
                            <a href="javascript:void(0);" class="icon popcorn-nav-icon" title="Mobile Navigation Menu" onclick="myFunction()">
                                <i class="icon-bars"></i>
                            </a>
                            <div class="popcorn-mob-nav">   
                                <nav id="affiLinks">
                                    <?php wp_nav_menu( array( 'theme_location' => 'main-menu', 'container_class' => 'popcorn-mob-nav' ) ); ?>
                                </nav>
                            </div>
                        </div>
                    </div>
                </header>
