<?php
// Output Customizations to CSS
function popcorn_customizer_output_css() { ?>
    <style type="text/css">
        body {
            background-color: <?php echo esc_html ( get_theme_mod('popcorn_body_bg_color', '#f5f5f5') )?>;
            font-family: <?php echo esc_html ( get_theme_mod('popcorn_body_typography_font', '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"') )?>;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            font-family: <?php echo esc_html ( get_theme_mod('popcorn_heading_typography_font', '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"') )?>;
        }

        p {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_p_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_p_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_p_mobile_typography_size', '16px') ) ?>;
        }

        h1 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h1_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h1_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h1_mobile_typography_size', '32px') ) ?>;
        }

        h2 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h2_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h2_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h2_mobile_typography_size', '28px') ) ?>;
        }

        h3 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h3_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h3_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h3_mobile_typography_size', '24px') ) ?>;
        }

        h4 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h4_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h4_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h4_mobile_typography_size', '20px') ) ?>;
        }

        h5 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h5_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h5_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h5_mobile_typography_size', '18px') ) ?>;
        }

        h6 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_h6_color', '#020E13') ) ?>;
            font-weight : <?php echo esc_html ( get_theme_mod( 'popcorn_h6_typography_weight', '300') ) ?>;
            font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h6_mobile_typography_size', '16px') ) ?>;
        }

        a {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_a_color', '#f25a54') ) ?>;
        }

        a:hover {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_ah_color'. '#020E13') ) ?>;
        }

        @media screen and (min-width: <?php echo esc_html ( get_theme_mod( 'popcorn_mobile_breakpoint_width', '500px') ) ?>) {
            p {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_p_tablet_typography_size', '17px') ) ?>;
            }
            h1 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h1_tablet_typography_size', '40px') ) ?>;
            }
            h2 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h2_tablet_typography_size', '32px') ) ?>;
            }
            h3 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h3_tablet_typography_size', '28px') ) ?>;
            }
            h4 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h4_tablet_typography_size', '24px') ) ?>;
            }
            h5 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h5_tablet_typography_size', '22px') ) ?>;
            }
            h6 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h6_tablet_typography_size', '20px') ) ?>;
            }
        }

        @media screen and (min-width: <?php echo esc_html ( get_theme_mod( 'popcorn_tablet_breakpoint_width', '800px') ) ?>) {
            p {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_p_desktop_typography_size', '18px') ) ?>;
            }
            h1 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h1_desktop_typography_size', '64px') ) ?>;
            }
            h2 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h2_desktop_typography_size', '40px') ) ?>;
            }
            h3 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h3_desktop_typography_size', '32px') ) ?>;
            }
            h4 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h4_desktop_typography_size', '28px') ) ?>;
            }
            h5 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h5_desktop_typography_size', '24px') ) ?>;
            }
            h6 {
                font-size : <?php echo esc_html ( get_theme_mod( 'popcorn_h6_desktop_typography_size', '22px') ) ?>;
            }
            .popcorn-post-prev-next-container {
                grid-template-columns: 1fr 1fr;
            }
            .popcorn-post-next {
                margin-left: 1rem;
            }
            .popcorn-post-prev {
                margin-right: 1rem;
                margin-bottom: 0;
            }   
        }

        .popcorn-header {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_header_bg_color', '#ffffff') ) ?>;
        }

        .pop-ft-bgc,
        .popft--bgcol {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_footer_bg_color', '#ffffff') ) ?>;
        }

        .popcorn-dt-nav a {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_body_p_color', '#020E13') ) ?>;
        }

        .popcorn-dt-nav a:hover {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_primary_color', '#f25a54') ) ?>;
        }

        .popcorn-post-date p::before,
        .popcorn-post-read p::before {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_primary_color', '#f25a54') ) ?>;
        }

        .popcorn-site-width {
            max-width: <?php echo esc_html ( get_theme_mod( 'popcorn_max_site_width', '1200px') ) ?>;
        }

        .popcorn-content-width {
            max-width: <?php echo esc_html ( get_theme_mod( 'popcorn_max_content_width', '800px') ) ?>;
        }

        .popcorn-secondary-background {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_secondary_color', '#8cbace') ) ?>;
        }

        .popcorn-button-primary {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_primary_color', '#f25a54') ) ?>;
        }

        .popcorn-button-primary:hover {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_secondary_color', '#8cbace') ) ?>;
        }

        .popcorn-front-page-title-intro-background {
            background-image: url(<?php echo esc_html ( get_theme_mod( 'popcorn_hero_bg_img') ) ?>);
        }
        
        .popcorn-front-page-title-intro {
            background-color: <?php echo esc_html ( get_theme_mod( 'popcorn_hero_bg_color_overlay', 'rgba(255,255,255,0.5)') ) ?>;
        }
        .popcorn-hero-title {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_intro_title_color', '#020e13') ) ?>;
        }

        .popcorn-hero-p-text {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_intro_paragraph_color', '#020e13') ) ?>;
        }

        @media screen and (min-width: 993px) {
            .popcorn-sidebar-grid {
                grid-template-columns: auto <?php echo esc_html ( get_theme_mod( 'popcorn_sidebar_width', '350px') ) ?>;
            }
        }

        .popft__h4 {
            color: <?php echo esc_html ( get_theme_mod( 'popcorn_footer_h4_color', '#f25a54') ) ?>;
        }

        .popcorn-front-page-title-intro h1 {
            font-weight: <?php echo esc_html ( get_theme_mod( 'popcorn_h1_intro_typography_weight', '300') ) ?>;
        }

    </style>
<?php }
add_action('wp_head', 'popcorn_customizer_output_css');