<?php
// Register Popcorn Customizer Controls
function popcorn_customizer_controls($wp_customize){

    // Popcorn Colors Section
    
    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_bg_color_control', array (
        'label' => __('Body Background Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_bg_color',
        'priority' => 10,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_p_color_control', array (
        'label' => __('Paragraph Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_p_color',
        'priority' => 20,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h1_color_control', array (
        'label' => __('H1 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h1_color',
        'priority' => 30,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h2_color_control', array (
        'label' => __('H2 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h2_color',
        'priority' => 40,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h3_color_control', array (
        'label' => __('H3 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h3_color',
        'priority' => 50,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h4_color_control', array (
        'label' => __('H4 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h4_color',
        'priority' => 60,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h5_color_control', array (
        'label' => __('H5 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h5_color',
        'priority' => 70,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_h6_color_control', array (
        'label' => __('H6 Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_h6_color',
        'priority' => 80,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_a_color_control', array (
        'label' => __('Link Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_a_color',
        'priority' => 90,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_ah_color_control', array (
        'label' => __('Link Hover Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_body_ah_color',
        'priority' => 100,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_primary_color_control', array (
        'label' => __('Primary Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_primary_color',
        'priority' => 110,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_body_secondary_color_control', array (
        'label' => __('Secondary Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_secondary_color',
        'priority' => 120,
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_footer_h4_color_control', array (
        'label' => __('Footer Heading Color', 'popcorn'),
        'section' => 'popcorn_colors',
        'settings' => 'popcorn_footer_h4_color',
    )));

    // Popcorn Typography Section

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_fonts_title', array(
        'label'   => __( 'Fonts', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_body_typography_font_control', array (
        'label' => __('Font Face', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_body_typography_font',
        'description' => 'Choose your Default Font',
        'type' => 'select',
        'choices' => array(
            '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"' => 'System',
            '"Times New Roman", Times, serif' => 'Times New Roman',
            'Georgia, serif' => 'Georgia',
            'Garamond, serif' => 'Garamond',
            'Arial, Helvetica, sans-serif' => 'Arial',
            'Helvetica, Arial, sans-serif' => 'Helvetica',
            'Tahoma, Verdana, sans-serif' => 'Tahoma',
            'Verdana, Tahoma, sans-serif' => 'Verdana',
            '"Trebuchet MS", Helvetica, sans-serif' => 'Trebuchet MS',
        )
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_heading_typography_font_control', array (
        'label' => __('Headings Font Face', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_heading_typography_font',
        'description' => 'Choose your Headings Font',
        'type' => 'select',
        'choices' => array(
            '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"' => 'System',
            '"Times New Roman", Times, serif' => 'Times New Roman',
            'Georgia, serif' => 'Georgia',
            'Garamond, serif' => 'Garamond',
            'Arial, Helvetica, sans-serif' => 'Arial',
            'Helvetica, Arial, sans-serif' => 'Helvetica',
            'Tahoma, Verdana, sans-serif' => 'Tahoma',
            'Verdana, Tahoma, sans-serif' => 'Verdana',
            '"Trebuchet MS", Helvetica, sans-serif' => 'Trebuchet MS',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_p_title', array(
        'label'   => __( 'Paragraph Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_p_mobile_typography_size_control', array (
        'label' => __('Paragraph Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_p_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_p_tablet_typography_size_control', array (
        'label' => __('Paragraph Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_p_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_p_desktop_typography_size_control', array (
        'label' => __('Paragraph Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_p_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_p_typography_weight_control', array (
        'label' => __('Paragraph Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_p_typography_weight',
        'description' => 'Choose your Font Weight for Paragraph text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h1_title', array(
        'label'   => __( 'H1 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h1_mobile_typography_size_control', array (
        'label' => __('H1 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h1_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h1_tablet_typography_size_control', array (
        'label' => __('H1 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h1_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h1_desktop_typography_size_control', array (
        'label' => __('H1 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h1_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h1_typography_weight_control', array (
        'label' => __('H1 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h1_typography_weight',
        'description' => 'Choose your Font Weight for H1 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h2_title', array(
        'label'   => __( 'H2 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h2_mobile_typography_size_control', array (
        'label' => __('H2 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h2_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h2_tablet_typography_size_control', array (
        'label' => __('H2 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h2_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h2_desktop_typography_size_control', array (
        'label' => __('H2 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h2_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h2_typography_weight_control', array (
        'label' => __('H2 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h2_typography_weight',
        'description' => 'Choose your Font Weight for H2 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h3_title', array(
        'label'   => __( 'H3 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h3_mobile_typography_size_control', array (
        'label' => __('H3 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h3_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h3_tablet_typography_size_control', array (
        'label' => __('H3 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h3_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h3_desktop_typography_size_control', array (
        'label' => __('H3 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h3_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h3_typography_weight_control', array (
        'label' => __('H3 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h3_typography_weight',
        'description' => 'Choose your Font Weight for H3 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h4_title', array(
        'label'   => __( 'H4 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h4_mobile_typography_size_control', array (
        'label' => __('H4 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h4_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h4_tablet_typography_size_control', array (
        'label' => __('H4 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h4_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h4_desktop_typography_size_control', array (
        'label' => __('H4 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h4_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h4_typography_weight_control', array (
        'label' => __('H4 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h4_typography_weight',
        'description' => 'Choose your Font Weight for H4 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h5_title', array(
        'label'   => __( 'H5 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h5_mobile_typography_size_control', array (
        'label' => __('H5 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h5_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h5_tablet_typography_size_control', array (
        'label' => __('H5 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h5_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h5_desktop_typography_size_control', array (
        'label' => __('H5 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h5_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h5_typography_weight_control', array (
        'label' => __('H5 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h5_typography_weight',
        'description' => 'Choose your Font Weight for H5 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'typ_h6_title', array(
        'label'   => __( 'H6 Text', 'popcorn' ),
        'section' => 'popcorn_typography',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h6_mobile_typography_size_control', array (
        'label' => __('H6 Text Size (Mobile)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h6_mobile_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h6_tablet_typography_size_control', array (
        'label' => __('H6 Text Size (Tablet)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h6_tablet_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h6_desktop_typography_size_control', array (
        'label' => __('H6 Text Size (Desktop)', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h6_desktop_typography_size',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h6_typography_weight_control', array (
        'label' => __('H6 Text Weight', 'popcorn'),
        'section' => 'popcorn_typography',
        'settings' => 'popcorn_h6_typography_weight',
        'description' => 'Choose your Font Weight for H6 text',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    // Popcorn Layout Section

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_max_site_width_control', array (
        'label' => __('Max Site Width', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_max_site_width',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_max_content_width_control', array (
        'label' => __('Max Content Width', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_max_content_width',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_tablet_breakpoint_width_control', array (
        'label' => __('Tablet Breakpoint', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_tablet_breakpoint_width',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_mobile_breakpoint_width_control', array (
        'label' => __('Mobile Breakpoint', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_mobile_breakpoint_width',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_hide_site_description_control', array (
        'label' => __('Hide Site Description (Tagline)', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_hide_site_description',
        'description' => 'Check this to hide the site tagline',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_enable_nav_search_control', array (
        'label' => __('Navigation Search', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_enable_nav_search',
        'description' => 'Check this to enable Main Menu Search',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_sidebar_width_control', array (
        'label' => __('Post Sidebar Width', 'popcorn'),
        'section' => 'popcorn_layout',
        'settings' => 'popcorn_sidebar_width',
        'description' => 'px, em, vw and % are all valid etc',
    )));

    // Popcorn Social Links

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_facebook_link_control', array (
        'label' => __('Facebook Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_facebook_link',
        'description' => 'Insert the full url for Facebook Page or Group here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_instagram_link_control', array (
        'label' => __('Instagram Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_instagram_link',
        'description' => 'Insert the full url for Instagram here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_youtube_link_control', array (
        'label' => __('YouTube Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_youtube_link',
        'description' => 'Insert the full url for YouTube channel here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_linkedin_link_control', array (
        'label' => __('LinkedIn Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_linkedin_link',
        'description' => 'Insert the full url for LinkedIn here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_mixcloud_link_control', array (
        'label' => __('MixCloud Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_mixcloud_link',
        'description' => 'Insert the full url for MixCloud here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_pinterest_link_control', array (
        'label' => __('Pinterest Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_pinterest_link',
        'description' => 'Insert the full url for Pinterest here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_twitch_link_control', array (
        'label' => __('Twitch Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_twitch_link',
        'description' => 'Insert the full url for Twitch here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_twitter_link_control', array (
        'label' => __('Twitter Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_twitter_link',
        'description' => 'Insert the full url for Twitter here including https://',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_social_vimeo_link_control', array (
        'label' => __('Vimeo Link', 'popcorn'),
        'section' => 'popcorn_social',
        'settings' => 'popcorn_social_vimeo_link',
        'description' => 'Insert the full url for Vimeo Channel here including https://',
    )));

    // Popcorn Custom Text

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_affiliate_disclaimer_title_control', array (
        'label' => __('Post Disclaimer Title', 'popcorn'),
        'section' => 'popcorn_custom_text',
        'settings' => 'popcorn_affiliate_disclaimer_title',
        'description' => 'This will show at the top of a post when you select the disclaimer layout type',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_affiliate_disclaimer_control', array (
        'label' => __('Post Disclaimer', 'popcorn'),
        'section' => 'popcorn_custom_text',
        'settings' => 'popcorn_affiliate_disclaimer',
        'description' => 'This will show at the top of a post when you select the disclaimer layout type',
        'type' => 'textarea',
    )));

    // Popcorn Front Page Settings

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'fp_hero_title', array(
        'label'   => __( 'Hero Section', 'popcorn' ),
        'section' => 'popcorn_frontpage_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_intro_title_control', array (
        'label' => __('Hero Title (h1)', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_title',
        'description' => 'Add a catchy H1 Title for your Front Page',
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_intro_title_color_control', array (
        'label' => __('Hero Title Color', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_title_color',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_h1_intro_typography_weight_control', array (
        'label' => __('Hero H1 Weight', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_h1_intro_typography_weight',
        'description' => 'Choose your Font Weight for Hero H1',
        'type' => 'select',
        'choices' => array(
            '100' => '100',
            '200' => '200',
            '300' => '300',
            '400' => '400',
            '500' => '500',
            '600' => '600',
            '700' => '700',
            '800' => '800',
            '900' => '900',
        )
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_intro_paragraph_control', array (
        'label' => __('Intro Paragraph (p)', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_paragraph',
        'description' => 'Add your intro paragraph here.',
        'type' => 'textarea',
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_intro_paragraph_color_control', array (
        'label' => __('Hero Paragraph Text Color', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_paragraph_color',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_hide_intro_button_control', array (
        'label' => __('Hide Hero Button', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_hide_intro_button',
        'description' => 'Check this to hide the hero button on the front page.',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_intro_button_url_control', array (
        'label' => __('Hero Button Link', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_button_url',
        'description' => 'Insert a link here. Your about page for example.',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_intro_button_text_control', array (
        'label' => __('Hero Button Text', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_intro_button_text',
        'description' => 'Add some text that appears on the hero button.',
    )));

    $wp_customize->add_control( new WP_Customize_Image_Control ( $wp_customize, 'popcorn_hero_bg_img_control', array (
        'label' => __('Hero Background Image', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_hero_bg_img',
        'description' => 'Choose an image for the hero background',
    )));

    $wp_customize->add_control(	new Customize_Alpha_Color_Control (	$wp_customize, 'popcorn_hero_bg_color_overlay_control',	array(
		'label'         => __( 'Hero Image Overlay Color', 'popcorn' ),
		'section'       => 'popcorn_frontpage_settings',
		'settings'      => 'popcorn_hero_bg_color_overlay',
		'show_opacity'  => true, // Optional.
		'palette'	=> array(
			'rgb(150, 50, 220)', // RGB, RGBa, and hex values supported
			'rgba(50,50,50,0.8)',
			'rgba( 255, 255, 255, 0.2 )', // Different spacing = no problem
			'#00CC99' // Mix of color types = no problem
	))));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'fp_fp_title', array(
        'label'   => __( 'Featured Posts Section', 'popcorn' ),
        'section' => 'popcorn_frontpage_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_featured_posts_control', array (
        'label' => __('Featured Posts Title (h2)', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_featured_posts',
        'description' => 'This title will show above the featured posts on the Front Page',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_hide_home_featured_posts_control', array (
        'label' => __('Hide Front Page Featured (Sticky) Posts', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_hide_home_featured_posts',
        'description' => 'Check this to hide the featured (sticky) posts',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'fp_lp_title', array(
        'label'   => __( 'Latest Posts Section', 'popcorn' ),
        'section' => 'popcorn_frontpage_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_latest_posts_control', array (
        'label' => __('Latest Posts Title (h2)', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_latest_posts',
        'description' => 'This title will show above the latest posts on the Front Page',
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'fp_cta_title', array(
        'label'   => __( 'Call to Action Section', 'popcorn' ),
        'section' => 'popcorn_frontpage_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_fp_cta_url_control', array (
        'label' => __('Call to Action Url', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_fp_cta_url',
        'description' => 'Insert a link here for your call to action',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_fp_cta_text_control', array (
        'label' => __('Call to Action Button Text', 'popcorn'),
        'section' => 'popcorn_frontpage_settings',
        'settings' => 'popcorn_fp_cta_text',
    )));

    // Popcorn Post Settings

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'post_general_title', array(
        'label'   => __( 'General Post Settings', 'popcorn' ),
        'section' => 'popcorn_post_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_disable_featured_image_control', array (
        'label' => __('Disable featured Images', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_disable_featured_image',
        'description' => 'Check to globally disable featured images on posts',
        'type'=> 'checkbox',
    )));
    
    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'post_meta_title', array(
        'label'   => __( 'Post Meta', 'popcorn' ),
        'section' => 'popcorn_post_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_post_meta_control', array (
        'label' => __('Disable Post Meta', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_disable_post_meta',
        'description' => 'Check this to disable post meta globally',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_meta_name_prefix_control', array (
        'label' => __('Post Meta Name Prefix', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_meta_name_prefix',
        'description' => 'This is the text before the name',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_post_meta_author_control', array (
        'label' => __('Disable Post Meta Author', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_disable_post_meta_author',
        'description' => 'Check this to disable post meta author',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_meta_date_prefix_control', array (
        'label' => __('Post Meta Date Prefix', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_meta_date_prefix',
        'description' => 'This is the text before the date',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_post_meta_date_control', array (
        'label' => __('Disable Post Meta Date', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_disable_post_meta_date',
        'description' => 'Check this to disable post meta date',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_meta_time_prefix_control', array (
        'label' => __('Post Meta Time Prefix', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_meta_time_prefix',
        'description' => 'This is the text before the time to read',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_post_meta_ttr_control', array (
        'label' => __('Disable Post Meta Time to Read', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_disable_post_meta_ttr',
        'description' => 'Check this to disable post meta time to read',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new Sub_Section_Heading_Custom_Control( $wp_customize, 'post_navigation_title', array(
        'label'   => __( 'Post Navigation', 'popcorn' ),
        'section' => 'popcorn_post_settings',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_disable_navigation_control', array (
        'label' => __('Disable Post Navigation', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_disable_navigation',
        'description' => 'Check this to disable the Post Navigation',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_nav_title_control', array (
        'label' => __('Post Navigation Title', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_title',
        'description' => 'When navigating next and previous posts, this will show when there are no more posts',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_nav_link_title_control', array (
        'label' => __('Post Navigation Link Title', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_link_title',
        'description' => 'This is a h2 title',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_nav_link_url_control', array (
        'label' => __('Post Navigation Link Url', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_link_url',
        'description' => 'Insert a link here. You can even use an affiliate link.',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_nav_link_url_tab_control', array (
        'label' => __('Post Navigation Link Open in new Tab', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_link_url_tab',
        'description' => 'Check this if you want your link to open in a new tab',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_post_nav_link_url_nofollow_control', array (
        'label' => __('Post Navigation Link - No Follow', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_link_url_nofollow',
        'description' => 'Check this to tell search engines not to follow (Not pass page rank to an external page for example).',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Image_Control ( $wp_customize, 'popcorn_post_nav_img_control', array (
        'label' => __('Post Navigation Image', 'popcorn'),
        'section' => 'popcorn_post_settings',
        'settings' => 'popcorn_post_nav_img',
        'description' => 'Choose an image to display in the post navigation card',
    )));

    // Popcorn Header Section

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_header_bg_color_control', array (
        'label' => __('Header Background Color', 'popcorn'),
        'section' => 'popcorn_header_settings',
        'settings' => 'popcorn_header_bg_color',
        'priority' => 10,
    )));

    // Popcorn Footer Settings

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_copyright_text_control', array (
        'label' => __('Copyright Text', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_copyright_text',
        'description' => 'Insert some copyright text here',
        'type' => 'textarea',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_copyright_control', array (
        'label' => __('Copyright', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_disable_copyright',
        'description' => 'Check this to disable the Copyright in the Footer',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_social_links_control', array (
        'label' => __('Social Links', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_disable_social_links',
        'description' => 'Check this to disable the Social Links in the Footer',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_privacy_menu_control', array (
        'label' => __('Privacy Menu', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_disable_privacy_menu',
        'description' => 'Check this to disable the Privacy Menu in the Footer',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_affiliate_disclaimer_control', array (
        'label' => __('Disable Affiliate Disclaimer', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_disable_affiliate_disclaimer',
        'description' => 'Check this to disable the Affiliate Disclaimer in the Footer',
        'type'=> 'checkbox',
    )));

    $wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'popcorn_footer_bg_color_control', array (
        'label' => __('Footer Background Color', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_footer_bg_color',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_about_menu_title_control', array (
        'label' => __('About Menu Title', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_about_menu_title',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_follow_us_title_control', array (
        'label' => __('Social Menu Title', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_follow_us_title',
    )));

    $wp_customize->add_control( new WP_Customize_Control ( $wp_customize, 'popcorn_disable_about_menu_control', array (
        'label' => __('About Menu Location', 'popcorn'),
        'section' => 'popcorn_footer_settings',
        'settings' => 'popcorn_disable_about_menu',
        'description' => 'Check this to disable the About Menu in the Footer',
        'type'=> 'checkbox',
    )));
    
}
add_action( 'customize_register', 'popcorn_customizer_controls' );