<?php
// Register Popcorn Customizer Sections
function popcorn_customizer_sections($wp_customize){

    class Sub_Section_Heading_Custom_Control extends WP_Customize_Control {

        //The type of control being rendered
        public $type = 'sub_section_heading';
    
        //Render the control in the customizer
    
        public function render_content() {
    
        ?>
            <div class="sub-section-heading-control">
                <?php if( !empty( $this->label ) ) { ?>
                    <h4 style="background: #f25a54; padding: 8px; border-radius: 5px; color: #FFFFFF; text-align: center;"class="customize-control-title">
                        &#127871; <?php echo esc_html( $this->label ); ?>
                    </h4>
                <?php } ?>
            </div>
        <?php
        }
    }

    $wp_customize->add_section('popcorn_colors', array(
        'title' => __('Popcorn Colors', 'popcorn'),
        'priority' => 30,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_typography', array(
        'title' => __('Popcorn Typography', 'popcorn'),
        'priority' => 40,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_layout', array(
        'title' => __('Popcorn Layout', 'popcorn'),
        'priority' => 50,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_social', array(
        'title' => __('Popcorn Social Links', 'popcorn'),
        'priority' => 60,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_custom_text', array(
        'title' => __('Popcorn Custom Text', 'popcorn'),
        'priority' => 70,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_frontpage_settings', array(
        'title' => __('Popcorn Front Page Settings', 'popcorn'),
        'priority' => 80,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_post_settings', array(
        'title' => __('Popcorn Post Settings', 'popcorn'),
        'priority' => 90,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_header_settings', array(
        'title' => __('Popcorn Header Settings', 'popcorn'),
        'priority' => 100,
        'panel' => 'popcorn',
    ));

    $wp_customize->add_section('popcorn_footer_settings', array(
        'title' => __('Popcorn Footer Settings', 'popcorn'),
        'priority' => 110,
        'panel' => 'popcorn',
    ));

}
add_action( 'customize_register', 'popcorn_customizer_sections' );