<?php get_header(); ?>
<?php the_post(); ?>
    <div class="popcorn-main">
        <div class="popcorn-site-width">
            <article class="popcorn-post-single popcorn-radius popcorn-shadow">
                <div class="popcorn-post-header popcorn-content-width">
                    <h1 class="popcorn-post-title"><?php echo esc_html( get_the_title() ); ?></h1>
                    <?php if (has_post_thumbnail( $post->ID ) ): ?>
                    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
                    <div class="popcorn-featured-image-container">
                        <img class="popcorn-featured-image popcorn-shadow"src="<?php echo $image[0]; ?>">
                    </div>
                    <?php endif; ?>
                    <?php if (has_post_thumbnail( $post->ID ) ): ?>
                    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
                    <div id="custom-bg" style="background-image: url('<?php echo $image[0]; ?>')">
                    </div>
                    <?php endif; ?>
                </div>
                <div class="popcorn-post-content popcorn-content-width">
                    <?php echo the_content('post_content', $post->ID); ?>
                </div>
            </article>
            <h2 class="popcorn-related-posts-title">Latest Posts</h2>
            <div class="popcorn-related-posts">
            <?php $args = array(
                'ignore_sticky_posts' => 1,
                'post__not_in' => get_option( 'sticky_posts' ),
                'posts_per_page' => 3, 
                'no_found_rows'  => true,
            );
            $cats = wp_get_post_terms( get_the_ID(), 'category' ); 
            $cats_ids = array();  
            foreach( $cats as $wpex_related_cat ) {
            $cats_ids[] = $wpex_related_cat->term_id; 
            }
            if ( ! empty( $cats_ids ) ) {
            $args['category__in'] = $cats_ids;
            }
            $popcornrp_query = new wp_query( $args );
            foreach( $popcornrp_query->posts as $post ) : setup_postdata( $post ); ?>
                <a class="popcorn-post-card popcorn-radius popcorn-shadow" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>">
                    <?php echo get_the_post_thumbnail($popcornrp_query->ID, 'medium-large'); ?>
                    <h2><?php the_title(); ?></h2>
                    <p><?php the_excerpt(); ?></p>
                </a>
            <?php endforeach; ?>
            </div>
                <?php wp_reset_postdata(); ?>
        </div>
    </div>
<?php get_footer(); ?>